import { httpApp } from "@/plugins/axiosApp";
import { AdminPageSettingForImport, CommonResponse } from "@/types";

export async function getInspectedSettingOfImportInspect(studentId?: string) {
  const form = new FormData();
  studentId && form.append("studentId", studentId);
  return httpApp.post<AdminPageSettingForImport>(
    "/api/admin/exam/score/verify/needverify",
    form
  );
}

export async function getSingleInspectedTaskOfImportInspect(studentId: string) {
  const form = new FormData();
  studentId && form.append("studentId", studentId);
  return httpApp.post<any>("/api/admin/exam/score/verify/info", form);
}

export async function saveInspectedTaskOfImportInspect(
  studentId: string,
  isTag: string
) {
  const form = new FormData();
  form.append("studentId", studentId);
  form.append("isTag", isTag);
  return httpApp.post<CommonResponse>("/api/admin/exam/score/verify/tag", form);
}
